> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Batch create UtilityMeterReport entities.

- Product: Utility meter reports
- Section: UtilityMeterReport
- Snapshot: Current
- Method: `POST`
- Path: `/api/utility_meter_reports/batch_create`

## Request body

Required: no  
Content types: `application/json`  

### object[]

Type: `object[]`  

#### object

Type: `object`  

##### `quantity`

Type: `string`  
Required: yes  

##### `type`

Type: `string`  
Required: yes  
Allowed values: `e`, `w`, `g`  

##### `datetime`

Type: `string`  
Required: yes  

##### `accommodationUnit`

Type: `object`  
Required: yes  

###### `id`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

A TypeScript example is not available yet.

## Execute with curl

```bash
curl -X POST "https://app.recranet.com/api/utility_meter_reports/batch_create" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    -H 'Content-Type: application/json' \
    -d '[{"quantity":"<quantity>","type":"e","datetime":"<datetime>","accommodationUnit":{}}]'
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Example

```json
null
```

##### Schema

###### unknown

Type: `unknown`  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/utility-meter-reports/methods/batch-create/)
- [TypeScript Markdown](/utility-meter-reports/methods/batch-create.md?lang=typescript)
- [curl Markdown](/utility-meter-reports/methods/batch-create.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/utility-meter-reports/llms.txt)
- [snapshot llms.txt](/utility-meter-reports/llms.txt)
